<?php

class m120306_174413_tbl_candidatos_capacidades_tecnologias extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_candidatos_capacidades_tecnologias', array(
                'id' => 'pk',
                'capacidad_id' => 'integer NOT NULL',
                'tecnologia_id' => 'integer NOT NULL',
                'meses_tecnologia' => 'integer',
            ));
            
            $this->addForeignKey('tbl_candidatos_capacidades_tecnologias_1', 'tbl_candidatos_capacidades_tecnologias', 'capacidad_id', 'tbl_candidatos_capacidades', 'id', 'CASCADE', 'CASCADE');
            $this->addForeignKey('tbl_candidatos_capacidades_tecnologias_2', 'tbl_candidatos_capacidades_tecnologias', 'tecnologia_id', 'tbl_tecnologias', 'id', 'CASCADE', 'RESTRICT');
        }

	public function down()
	{
            $this->dropForeignKey('tbl_candidatos_capacidades_tecnologias_2', 'tbl_candidatos_capacidades_tecnologias');
            $this->dropForeignKey('tbl_candidatos_capacidades_tecnologias_1', 'tbl_candidatos_capacidades_tecnologias');            
            $this->dropTable('tbl_candidatos_capacidades_tecnologias');
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}